# mongoc_uri_get_compressors()

## Synopsis

    const bson_t *
    mongoc_uri_get_compressors (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Returns a bson document with the enabled compressors as the keys or an empty document if no compressors were provided.

## Example

    mongoc_client_t *client;
    mongoc_uri_t *uri;

    uri = mongoc_uri_new ("mongodb://localhost/?compressors=zlib,snappy,zstd");

    if (bson_has_field (mongoc_uri_get_compressors (uri), "snappy")) {
       /* snappy enabled */
    }

## Returns

A bson_t * which should not be modified or freed.